Subject: Re: [PATCH v3 0/2] Fix two hook conversion regressions

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Jan 2026 09:33:07 -0800

Adrian Ratiu <[email-masked]> writes:

> I agree with this.
>
> We can't let these two regressions enter a release, so we have two
> real chices:
>
> 1. Merge both fixes to 1.53 or
> 2. Revert the 'ar/run-command-hook' topic merge.

Hmph, at this early point in the late release cycle before -rc1
(yes, rc0 is scheduled for this morning, but that is not really a
release candidate that counts as anything), it is tempting to take
#2, actually.  I just do not know how much damage such a revert
would cause to the tree.  I'll experiment after I finish cutting the
-rc0 preview release.